/* WooCommerce */
/* Notifications */
.site-content .woocommerce-notices-wrapper {
  font: var(--body-sm-font);
}
.site-content .woocommerce-store-notice,
.site-content .woocommerce-message {
  background: var(--blue);
  -webkit-column-gap: var(--gutter);
     -moz-column-gap: var(--gutter);
          column-gap: var(--gutter);
  display: -ms-grid;
  display: grid;
  grid-auto-flow: column;
  outline: none;
  width: 100%;
}
.site-content .woocommerce-store-notice a,
.site-content .woocommerce-message a {
  font: var(--body-sm-font);
  -ms-grid-column-align: end;
      justify-self: end;
}
.site-content .woocommerce-demo-store {
  padding-top: var(--store-notice-height);
}
.site-content .woocommerce-demo-store .woocommerce-store-notice {
  --text-color: var(--white);
  padding: 10px var(--inner-padding);
  position: fixed;
  top: 0;
}
.site-content .woocommerce-message,
.site-content .woocommerce-error,
.site-content .woocommerce-info {
  background-color: var(--light-blue);
  border-radius: var(--border-radius);
  padding: 10px var(--gutter);
}
.site-content .woocommerce-message a,
.site-content .woocommerce-error a,
.site-content .woocommerce-info a {
  -ms-grid-column: 2;
  grid-column: 2;
}
.site-content .woocommerce-error {
  background-color: var(--light-red);
}

/* Search */
.woocommerce-product-search {
  position: relative;
}
.woocommerce-product-search:after {
  background-color: var(--text-color);
  content: "";
  display: inline-block;
  height: 20px;
  -webkit-mask-image: var(--icon-search);
          mask-image: var(--icon-search);
  -webkit-mask-position: center center;
          mask-position: center center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  position: absolute;
  right: 10px;
  top: 12px;
  width: 18px;
}
.woocommerce-product-search input {
  border: 0;
  border-radius: var(--border-radius);
  height: 48px;
  line-height: 48px;
  outline: none;
  padding: 0 12px;
  width: 100%;
}
.woocommerce-product-search button {
  display: none;
}

/* General */
.site-content > .woocommerce {
  -ms-grid-columns: (minmax(0, 1fr))[12];
  grid-template-columns: repeat(12, minmax(0, 1fr));
  margin: 0 auto;
  max-width: var(--grid-width);
  padding-left: var(--inner-padding);
  padding-right: var(--inner-padding);
  padding-top: calc(var(--section-padding) / 2);
  padding-bottom: calc(var(--section-padding) / 2);
  width: 100%;
}
.site-content > .woocommerce:last-child {
  padding-bottom: var(--section-padding);
}
.site-content section.woocommerce:first-child {
  padding-top: 0;
}

.woocommerce {
  -webkit-box-align: start;
      -ms-flex-align: start;
          align-items: start;
  -webkit-column-gap: var(--gutter);
     -moz-column-gap: var(--gutter);
          column-gap: var(--gutter);
  display: -ms-grid;
  display: grid;
  row-gap: var(--gutter);
}
@container main (max-width: 47.9375rem) {
  .woocommerce {
    -ms-grid-columns: (minmax(0, 1fr))[6];
    grid-template-columns: repeat(6, minmax(0, 1fr));
  }
}
.woocommerce .woocommerce-notices-wrapper {
  grid-column: 2/-2;
}
@container main (max-width: 79.9375rem) {
  .woocommerce .woocommerce-notices-wrapper {
    grid-column: 1/-1;
  }
}
.woocommerce .woocommerce-notices-wrapper:empty {
  display: none;
}
.woocommerce .stock {
  -webkit-box-align: center;
      -ms-flex-align: center;
          align-items: center;
  color: var(--medium-blue);
  display: -ms-grid;
  display: grid;
  grid-auto-flow: column;
  grid-gap: 10px;
  -webkit-box-pack: start;
      -ms-flex-pack: start;
          justify-content: start;
}
.woocommerce .stock:before {
  border: 1px solid var(--medium-blue);
  border-radius: 50%;
  content: "";
  display: inline-block;
  height: 18px;
  position: absolute;
  width: 18px;
}
.woocommerce .stock i {
  background-color: var(--medium-blue);
  height: 20px;
  -webkit-mask-size: 10px;
          mask-size: 10px;
  width: 20px;
}
.woocommerce .stock.in-stock:before, .woocommerce .stock.instock:before {
  background-color: var(--medium-blue);
}
.woocommerce .stock.in-stock i, .woocommerce .stock.instock i {
  background-color: var(--white);
}
.woocommerce .stock.out-of-stock {
  color: var(--red);
}
.woocommerce .stock.out-of-stock:before {
  background-color: var(--red);
  border-color: var(--red);
}
.woocommerce .stock.out-of-stock i {
  background-color: var(--white);
}
.woocommerce form h3 {
  grid-column: 1/-1;
}
.woocommerce form .form-row {
  display: -ms-grid;
  display: grid;
  row-gap: 10px;
}
@container main (max-width: 47.9375rem) {
  .woocommerce form .form-row {
    grid-column: 1/-1;
  }
}
.woocommerce form .form-row input[type=text],
.woocommerce form .form-row input[type=email] {
  width: 100%;
}
.woocommerce form .form-row.woocommerce-invalid input {
  border-color: var(--red);
}
.woocommerce .products {
  -webkit-column-gap: var(--gutter);
     -moz-column-gap: var(--gutter);
          column-gap: var(--gutter);
  display: -ms-grid;
  display: grid;
  row-gap: var(--gutter);
}
.woocommerce .products.columns-4 {
  -ms-grid-columns: (minmax(0, 1fr))[4];
  grid-template-columns: repeat(4, minmax(0, 1fr));
}
@container (max-width: 1599px) {
  .woocommerce .products.columns-4 {
    -ms-grid-columns: (minmax(0, 1fr))[3];
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}
@container (max-width: 1399px) {
  .woocommerce .products.columns-4 {
    -ms-grid-columns: (minmax(0, 1fr))[2];
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}
.woocommerce .products.columns-5 {
  -ms-grid-columns: (minmax(0, 1fr))[5];
  grid-template-columns: repeat(5, minmax(0, 1fr));
}
@container (max-width: 1499px) {
  .woocommerce .products.columns-5 {
    -ms-grid-columns: (minmax(0, 1fr))[4];
    grid-template-columns: repeat(4, minmax(0, 1fr));
  }
}
@container (max-width: 949px) {
  .woocommerce .products.columns-5 {
    -ms-grid-columns: (minmax(0, 1fr))[3];
    grid-template-columns: repeat(3, minmax(0, 1fr));
  }
}
@container main (max-width: 47.9375rem) {
  .woocommerce .products.columns-5 {
    -ms-grid-columns: (minmax(0, 1fr))[2];
    grid-template-columns: repeat(2, minmax(0, 1fr));
  }
}
@container (max-width: 449px) {
  .woocommerce .products.columns-4, .woocommerce .products.columns-5 {
    -ms-grid-columns: auto;
    grid-template-columns: auto;
  }
}
.woocommerce .products .product {
  background-color: var(--white);
  border: 1px solid var(--gray);
  border-radius: var(--border-radius);
  -webkit-column-gap: var(--element-padding);
     -moz-column-gap: var(--element-padding);
          column-gap: var(--element-padding);
  display: -ms-grid;
  display: grid;
  -ms-grid-columns: 1fr var(--element-padding) auto;
  grid-template-columns: 1fr auto;
  -ms-grid-rows: 1fr var(--element-padding) auto;
  grid-template-rows: 1fr auto;
  overflow: hidden;
  padding: var(--element-padding);
  row-gap: var(--element-padding);
}
.woocommerce .products .product > *:nth-child(1) {
  -ms-grid-row: 1;
  -ms-grid-column: 1;
}
.woocommerce .products .product > *:nth-child(2) {
  -ms-grid-row: 1;
  -ms-grid-column: 3;
}
.woocommerce .products .product > *:nth-child(3) {
  -ms-grid-row: 3;
  -ms-grid-column: 1;
}
.woocommerce .products .product > *:nth-child(4) {
  -ms-grid-row: 3;
  -ms-grid-column: 3;
}
.woocommerce .products .product .woocommerce-loop-product__link {
  -ms-flex-line-pack: start;
      align-content: start;
  display: -ms-grid;
  display: grid;
  -ms-grid-column: 1;
  -ms-grid-column-span: 2;
  grid-column: 1/span 2;
  row-gap: 10px;
  text-decoration: none;
}
.woocommerce .products .product .woocommerce-loop-product__link img {
  aspect-ratio: 1/1;
  height: 100%;
  -o-object-fit: contain;
     object-fit: contain;
  padding: 10px;
  width: 100%;
}
.woocommerce .products .product .woocommerce-loop-product__link h2 {
  font: var(--header-5-font);
  margin-top: 10px;
}
.woocommerce .products .product .woocommerce-loop-product__link .product-short-description {
  color: var(--medium-blue);
  font: var(--body-sm-font);
  line-height: 1.4;
  margin: 0;
}
.woocommerce .products .product .woocommerce-loop-product__link .stock {
  font: var(--header-6-font);
}
.woocommerce .products .product .price {
  -ms-flex-line-pack: center;
      align-content: center;
  display: -ms-grid;
  display: grid;
  font: var(--header-4-font);
  -ms-grid-row: 2;
  grid-row: 2;
  justify-items: end;
  -ms-grid-column-align: end;
      justify-self: end;
  min-height: 50px;
}
.woocommerce .products .product .price del {
  font-weight: 400;
  font-size: var(--body-size);
  -ms-grid-row: 2;
  grid-row: 2;
}
.woocommerce .products .product .price ins {
  text-decoration: none;
}
.woocommerce .products .product .add_to_cart_button,
.woocommerce .products .product .added_to_cart {
  border: 0;
  border-radius: 50%;
  color: var(--white);
  content: "";
  display: inline-block;
  -ms-grid-column: 2;
  grid-column: 2;
  -ms-grid-row: 2;
  grid-row: 2;
  height: 50px;
  position: relative;
  text-align: center;
  -webkit-transition: background-color 0.3s;
  transition: background-color 0.3s;
  width: 50px;
}
.woocommerce .products .product .add_to_cart_button:hover,
.woocommerce .products .product .added_to_cart:hover {
  background-color: var(--red);
}
.woocommerce .products .product .add_to_cart_button:after,
.woocommerce .products .product .added_to_cart:after {
  background-color: var(--white);
  content: "";
  display: inline-block;
  height: 100%;
  -webkit-mask-position: center center;
          mask-position: center center;
  -webkit-mask-repeat: no-repeat;
          mask-repeat: no-repeat;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
}
.woocommerce .products .product .add_to_cart_button.added,
.woocommerce .products .product .added_to_cart.added {
  display: none;
}
.woocommerce .products .product .add_to_cart_button {
  background-color: var(--blue);
}
.woocommerce .products .product .add_to_cart_button:after {
  -webkit-mask-image: var(--icon-shopping-bag);
          mask-image: var(--icon-shopping-bag);
  margin-top: -2px;
}
.woocommerce .products .product .added_to_cart {
  background-color: var(--green-border);
  overflow: hidden;
  text-indent: 100%;
  white-space: nowrap;
}
.woocommerce .products .product .added_to_cart:after {
  -webkit-mask-image: var(--icon-check);
          mask-image: var(--icon-check);
  -webkit-mask-size: 18px;
          mask-size: 18px;
}